﻿//initPostInstance runs any initiation code that requires instances of MC classes

import SGF.GamePiece;
import SH.Game.Sounds;
import SGF.SceneDirector;
import IDTheftGame.Score;

//instance paths
Ref.gI().localPath = this;
var gc = Ref.gI().pathToGame = GC;
var score = Ref.gI().score = new Score();

//Movie data
Ref.gI().movieHeight = 230;
Ref.gI().movieWidth = 480;
Ref.gI().currentLanguage = "en";
Ref.gI().dataStorageLocation = "datastorage/";
Ref.gI().scene = "scene1";




//*******************************************************************
//
//REGISTER SOUNDS
//
//*******************************************************************

var gameSounds:Sounds = new Sounds();
gameSounds.addSound("AskQuestion", "p2p_question.wav", this);
gameSounds.addSound("CorrectResponse", "p2p_correct.wav", this);
gameSounds.addSound("IncorrectResponse", "p2p_incorrect.wav", this);
gameSounds.addSound("UserLooses", "p2p_lose.wav", this);
gameSounds.addSound("UserWins", "p2p_ending.wav", this);
Ref.gI().gameSounds = gameSounds;



//*******************************************************************
//
//REGISTER THE SCENE DIRECTOR AND SCENES
//
//*******************************************************************


//setup the scene controller, params are ordered in scene numeric
var mySD:SceneDirector = new SceneDirector([GC.IntroAniMC, GC.GameSelectionMC, GC.InstructionsMC, GC.IDTheftGameMC, GC.ResultsMC]);
Ref.gI().sceneDirector = mySD;




//*******************************************************************
//
//REGISTER THE REFERENCE OBJECT
//
//*******************************************************************

var GP = new GamePiece();
GP.Ref = Ref.gI();



//*******************************************************************
//
//RUN ANY INITIAL FUNCTIONS
//
//*******************************************************************

//Ref.gI().character = "Eric";
//Initiate the game
GC.initiate();

//start the first scene
mySD.playScene("scene1");
//GC.IDTheftGameMC.e_playGame();
